Comment 8 for bug 1191563

Bernhard (baumber) wrote :

Hello,

I can confirm the problems with the Xstacks too, there should be a smoother transition to new Xstacks (e.g. precise to saucy) and between Xstacks (e.g. raring to saucy) in LTS-versions.
Maybe it is possible to modify/tune the Xstack-meta-packages because it is not sufficient to install only package xserver-xorg-lts-saucy (and linux-generic-lts-saucy).

I had to use the following command (after removing the old Xstack with installing package xserver-xorg-lts-precise), but that is not smooth!

apt-get install -V libglapi-mesa-lts-saucy libgl1-mesa-glx-lts-saucy xserver-xorg-lts-saucy xserver-xorg-input-all-lts-saucy xserver-xorg-video-all-lts-saucy libgl1-mesa-dri-lts-saucy x11-xserver-utils-lts-saucy libglapi-mesa-lts-saucy:i386 libgl1-mesa-dri-lts-saucy:i386 libgl1-mesa-glx-lts-saucy:i386

Another problem is when using KDE/Kubuntu, you have to remove packages kde-workspace-dev libkwinactiveglesutils1 libkwinglesutils1.
After the installation you can install them again with "apt-get install kde-workspace-dev libkwinactiveglesutils1 libkwinglesutils1" and not with only "kde-workspace-dev" because dependency is broken.

The same with meta-package xorg-dev, it is broken too with the new Xstacks but installing single packages from this meta-package works.

It would be wise to check all dependencies (with a script) in the whole ubuntu repository for problems with the Xstacks and derived problems to get a better update/upgrade experience to Xstacks for the LTS-versions (at least for the new 14.04 LTS).

Thank you, best regards, Bernhard